RagTime5SpreadsheetInternal::CellValue Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
RagTime5SpreadsheetInternal::CellValue Struct Reference

internal: a structure used to store a value in a cell in RagTime5SpreadsheetInternal More...

## Public Member Functions
| CellValue ()
| constructor More...
void | update (MWAWCell &cell, MWAWCellContent &content) const
| update the cell's content More...

## Public Attributes
int | m_type
| the cell type More...
unsigned long | m_id
| a id value More...
long | m_long
| a long value More...
double | m_double
| a double value More...
librevenge::RVNGString | m_text
| the text More...
int | m_fieldId
| the field id More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, CellValue const &cell)
| operator<< More...

## Detailed Description

internal: a structure used to store a value in a cell in RagTime5SpreadsheetInternal

## Constructor & Destructor Documentation

## ◆ CellValue()

RagTime5SpreadsheetInternal::CellValue::CellValue | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ update()

void RagTime5SpreadsheetInternal::CellValue::update | ( | MWAWCell & | cell,
|  | MWAWCellContent & | content
| ) |  | const
| inline

update the cell's content

Referenced by RagTime5Spreadsheet::send().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | CellValue const & | cell
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_double

double RagTime5SpreadsheetInternal::CellValue::m_double

a double value

Referenced by RagTime5SpreadsheetInternal::ValuesParser::parseData(), and update().

## ◆ m_extra

std::string RagTime5SpreadsheetInternal::CellValue::m_extra

extra data

Referenced by RagTime5SpreadsheetInternal::ValuesParser::parseData().

## ◆ m_fieldId

int RagTime5SpreadsheetInternal::CellValue::m_fieldId

the field id

Referenced by RagTime5SpreadsheetInternal::ValuesParser::parseData().

## ◆ m_id

unsigned long RagTime5SpreadsheetInternal::CellValue::m_id

a id value

Referenced by RagTime5SpreadsheetInternal::CellContent::CellContent(), RagTime5SpreadsheetInternal::CellContent::hasContent(), RagTime5SpreadsheetInternal::ValuesParser::parseData(), RagTime5Spreadsheet::send(), and RagTime5SpreadsheetInternal::CellContent::setContent().

## ◆ m_long

long RagTime5SpreadsheetInternal::CellValue::m_long

a long value

Referenced by RagTime5SpreadsheetInternal::ValuesParser::parseData().

## ◆ m_text

librevenge::RVNGString RagTime5SpreadsheetInternal::CellValue::m_text

the text

Referenced by RagTime5SpreadsheetInternal::ValuesParser::parseData(), and RagTime5Spreadsheet::send().

## ◆ m_type

int RagTime5SpreadsheetInternal::CellValue::m_type

the cell type

Referenced by RagTime5SpreadsheetInternal::ValuesParser::parseData(), RagTime5Spreadsheet::send(), and update().

The documentation for this struct was generated from the following file:

- RagTime5Spreadsheet.cxx